Cyberduck Mountain Duck CLI

#7248 closed defect (fixed)

Closing opened file in editor won't always allow you to reopen

Reported by: josh slebodnik Owned by: yla
Priority: normal Milestone: 4.4
Component: core Version: 4.3.1
Severity: normal Keywords:
Cc: Architecture:
Platform: Windows 8

Description

Sometimes when you open a file in editor through ftp, and close out of it, it will not allow you to reopen the file. You got to close out of cyberduck and reopen it. This is on Windows 8 and 7

Change History (15)

comment:1 Changed on May 15, 2013 at 3:07:24 PM by dkocher

  • Owner set to yla
  • Platform set to Windows 8

comment:2 Changed on May 21, 2013 at 9:13:07 PM by firewing1

I am experiencing this behaviour as well on OS X 10.8.3, after opening files and then subsequently closing them some time later, attempting to open an editor session again from Cyberduck fails even if I select a different editor. Cyberduck shows that it is downloading the file, but then the editor does not open.

comment:3 Changed on May 22, 2013 at 7:46:27 AM by ffwd

Same here. OS X 10.8.3.

comment:4 Changed on May 22, 2013 at 5:10:46 PM by dkocher

Can you find any related output in the system.log (/Applications/Utilities/Console.app)? I cannot replicate the issue.

comment:5 Changed on May 22, 2013 at 6:07:43 PM by firewing1

Nothing interesting there under 'All Messages' nor system.log.

I can reproduce the issue reliably by performing the following steps:

  1. Open a FTP-SSL connection to my site
  2. Use Cmd+K to open any text file in an editor
  3. Change the file and press Cmd+S to save it and have Cyberduck upload it
  4. Undo change from step 3 and press Cmd+S again
  5. Close the editor window
  6. Attempt to edit the same file again

Cyberduck will download the file, but not open the editor again.

comment:6 Changed on May 28, 2013 at 8:48:24 PM by mathcolo

Also happening here on OS X 10.8.3 as of Cyberduck version 4.3.1 build 11010, although I'm unsure what exact circumstances cause the problem...firewing1's steps didn't manually ignite the issue for me. It almost seems random.

comment:7 Changed on Jun 24, 2013 at 2:06:03 PM by dkocher

#7314 closed as duplicate.

comment:8 Changed on Jun 24, 2013 at 11:23:26 PM by dkocher

See also #7310.

comment:9 Changed on Jun 26, 2013 at 3:48:19 PM by dkocher

#7324 closed as duplicate.

comment:10 follow-up: Changed on Jul 5, 2013 at 12:57:15 PM by josco

I have the same issue on MAC OS. There is the same issue with every text editor.

To reproduce the issue:

  1. Check textedit is at least the favorite texteditor in Cyberduck
  2. Open a file for edit and close it
  3. try to edit the same file. It does not open.

comment:11 in reply to: ↑ 10 Changed on Jul 5, 2013 at 1:17:57 PM by dkocher

Replying to josco:

I have the same issue on MAC OS. There is the same issue with every text editor.

To reproduce the issue:

  1. Check textedit is at least the favorite texteditor in Cyberduck
  2. Open a file for edit and close it
  3. try to edit the same file. It does not open.

Thanks for commenting. Can you replicate this with the latest snapshot build available?

comment:12 Changed on Jul 9, 2013 at 9:53:26 PM by dkocher

#7335 closed as duplicate.

comment:13 Changed on Jul 10, 2013 at 10:10:37 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r11874.

comment:14 Changed on Jul 11, 2013 at 9:45:22 PM by dkocher

As a workaround, refresh the directory listing (⌘-R) before attempting to edit the file again or update to the latest snapshot build available.

comment:15 Changed on Aug 26, 2013 at 10:24:58 AM by dkocher

#7412 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software